Subject: FW: worksheet
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 14 Mar 2002 14:56:25 -0800 (PST)

Thanks Max.  

Per our discussion today I requested 64,000 dth per day from Duke Energy LNG Sales, Inc.  I spoke with Carl Haugneland and I faxed him a copy of the attached letter and excel worksheet.

Joe, I am mailing a copy of the letter with attachments to you.

Thanks.

 -----Original Message-----
From: 	Doner, Max  
Sent:	Thursday, March 14, 2002 3:25 PM
To:	Germany, Chris
Subject:	RE: worksheet

Chris,
Here is the updated spreadsheet for prices through March 12th.
Have a good weekend.

Max